package com.ecep.contract.ds.project.repository;

import org.springframework.stereotype.Repository;

import com.ecep.contract.ProjectFileType;
import com.ecep.contract.ds.other.repository.BaseEnumEntityRepository;
import com.ecep.contract.model.ProjectFileTypeLocal;

@Repository
public interface ProjectFileTypeLocalRepository extends BaseEnumEntityRepository<ProjectFileType, ProjectFileTypeLocal, Integer> {
    @Override
    default ProjectFileType[] getEnumConstants() {
        return ProjectFileType.values();
    }

    @Override
    default ProjectFileTypeLocal newEntity() {
        return new ProjectFileTypeLocal();
    }
}
